Bug 474661 - [LTC 5.4 FEAT] UEFI enabled bootloader support [200829]
[LTC 5.4 FEAT] UEFI enabled bootloader support [200829]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: grub (Show other bugs)
5.4
All All
high Severity high
: alpha
: 5.4
Assigned To: Peter Jones
Release Test Team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483784 488637 488639 488641 488642 488643 488644 488645 488646 488648 488851
  Show dependency treegraph
 
Reported: 2008-12-04 14:30 EST by IBM Bug Proxy
Modified: 2011-02-22 04:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-05 15:47:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50445 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 14:30:40 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[200829]
a. Name of Feature:	UEFI support in boot loader
b. Feature Description
Request full support for UEFI for i386 and x86_64 archs. Requires UEFI extensions to lilo/grub boot
loaders.  Also expect support EFI Variables in NVRAM exported to the OS, EFI runtime services. It
appears most of the development for i386 is complete, but needs to be verified. x86_64 support is
being developed by Intel and needs to be submitted upstream.  ia64 has supported EFI from the beginning.

Additional Comments:	We are requesting that UEFI support come out of technology preview state and be
included and supported as part of 5.4.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Installer: Yes
Affects Core Kernel: Yes
Delivery Mechanism: Request Red Hat development assistance
Category:	xSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	uEFI code submitted to gnu-efi, elilo-sourceforge, lkml by Intel. All
UEFI kernel code is upstream as of 2.6.25. gnu-efi and elilo code already upstream.

3. Business Case
All upcoming System x hardware will support UEFI-based BIOS. UEFI is projected to be on system x
hardware as soon as 1H 08, which means it would be in test 2H07

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 John Jarvis 2008-12-22 17:50:01 EST
IBM is signed up to test and provide feedback.
Comment 2 Denise Dumas 2009-06-05 15:45:46 EDT
Look for this in RHEL6
Comment 3 RHEL Product and Program Management 2009-06-05 15:47:33 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 4 IBM Bug Proxy 2011-02-22 04:22:22 EST
------- Comment From  2011-02-22 04:15 EDT-------
As per last comment closing this as WILL_NOT_FIX.
Please feel free to reopen once you have any valid update.

Thanks
Muni

Note You need to log in before you can comment on or make changes to this bug.